<?php

namespace SyncSpider\APIextension\Api;

interface CustomerRepositoryInterface
{
    /**
     * Create or update a customer by email address.
     *
     * @param  \Magento\Customer\Api\Data\CustomerInterface $customer
     *
     * @throws \Magento\Framework\Exception\InputException If bad input is provided
     * @throws \Magento\Framework\Exception\State\InputMismatchException If the provided email is already used
     * @throws \Magento\Framework\Exception\LocalizedException
     *
     * @return \Magento\Customer\Api\Data\CustomerInterface
     */
    public function save(\Magento\Customer\Api\Data\CustomerInterface $customer);
}
