<?php

namespace SyncSpider\APIextension\Api\Data;

interface CategoryInterface extends \Magento\Catalog\Api\Data\CategoryInterface
{

    /**
     * Get category description
     *
     * @api
     *
     * @return string
     */
    public function getDescription();

    /**
     * Get category url path
     *
     * @api
     *
     * @return string
     */
    public function getUrlPath();

    /**
     * Get category level
     *
     * @api
     *
     * @return string
     */
    public function getLevel();

    /**
     * Get category children count
     *
     * @api
     *
     * @return string
     */
    public function getChildrenCount();

    /**
     * Get category meta keywords
     *
     * @api
     *
     * @return string
     */
    public function getMetaKeywords();

    /**
     * Get category meta description
     *
     * @api
     *
     * @return string
     */
    public function getMetaDescription();

    /**
     * Get category custom layout update
     *
     * @api
     *
     * @return string
     */
    public function getCustomLayoutUpdate();

    /**
     * Get category landing page
     *
     * @api
     *
     * @return string
     */
    public function getLandingPage();

    /**
     * Whether category is anchor category
     *
     * @api
     *
     * @return bool
     */
    public function getIsAnchor();

    /**
     * Get category custom apply to products
     *
     * @api
     *
     * @return string
     */
    public function getCustomApplyToProducts();

    /**
     * Get category meta title
     *
     * @api
     *
     * @return string
     */
    public function getMetaTitle();

    /**
     * Get category display mode
     *
     * @api
     *
     * @return string
     */
    public function getDisplayMode();

    /**
     * Get category custom design
     *
     * @api
     *
     * @return string
     */
    public function getCustomDesign();

    /**
     * Get category page layout
     *
     * @api
     *
     * @return string
     */
    public function getPageLayout();

    /**
     * Get category custom design form
     *
     * @api
     *
     * @return string
     */
    public function getCustomDesignFrom();

    /**
     * Get category custom design to
     *
     * @api
     *
     * @return string
     */
    public function getCustomDesignTo();

    /**
     * Get category price filter range
     *
     * @api
     *
     * @return string
     */
    public function getFilterPriceRange();
}
