<?php

namespace SyncSpider\APIextension\Api\Data;

interface ConfigurableProductAttributeInterface
{
    /**
     * Get product attribute id
     *
     * @return int
     */
    public function getId();
    /**
     * Get product attribute code
     *
     * @return string
     */
    public function getAttributeCode();

    /**
     * Get product attribute type
     *
     * @return string
     */
    public function getAttributeType();

    /**
     * Whether product attribute is global
     *
     * @return bool
     */
    public function getIsGlobal();

    /**
     * Whether product attribute is configurable
     *
     * @return bool
     */
    public function getIsConfigurable();

    /**
     * Get product attribute frontend input
     *
     * @return string
     */
    public function getFrontendInput();

    /**
     * Get list of product types the attribute is applicable
     *
     * @return string[]
     */
    public function getApplyTo();

    /**
     * Get whether product attribute is required
     *
     * @return bool
     */
    public function getIsRequired();

    /**
     * Get product attribute options
     *
     * @return string[]
     */
    public function getOptions();
}
