<?php

namespace SyncSpider\APIextension\Api\Data;

interface InfoResponseInterface
{
    /**
     * Get magento 2 store name associated with the magento 2 installation
     *
     * @api
     *
     * @return string
     */
    public function getShop();

    /**
     * Set magento 2 store name associated with the magento 2 installation
     *
     * @api
     *
     * @param string $shop
     *
     * @return null
     */
    public function setShop($shop);

    /**
     * Get magento 2 version associated with the magento 2 installation
     *
     * @api
     *
     * @return string
     */
    public function getShopVersion();

    /**
     * Set magento 2 version associated with the magento 2 installation
     *
     * @api
     *
     * @param string $shopVersion
     *
     * @return null
     */
    public function setShopVersion($shopVersion);

    /**
     * Get syncspider magento 2 extension version associated with the magento 2 installation
     *
     * @api
     *
     * @return string
     */
    public function getExtensionVersion();

    /**
     * Set syncspider magento 2 extension version associated with the magento 2 installation
     *
     * @api
     *
     * @param string $version
     *
     * @return null
     */
    public function setExtensionVersion($version);

    /**
     * Get php version associated with the magento 2 installation
     *
     * @api
     *
     * @return string
     */
    public function getPhpVersion();

    /**
     * Set php version associated with the magento 2 installation
     *
     * @api
     *
     * @param string $phpVersion
     *
     * @return null
     */
    public function setPhpVersion($phpVersion);

    /**
     * Get operating system associated with the magento 2 installation
     *
     * @api
     *
     * @return string
     */
    public function getOs();

    /**
     * Set operating system associated with the magento 2 installation
     *
     * @api
     *
     * @param string $os
     *
     * @return null
     */
    public function setOs($os);
}
