<?php

namespace SyncSpider\APIextension\Api\Data;

interface OrderCustomerInterface
{
    /**
     * Get email address
     *
     * @api
     *
     * @return string
     */
    public function getEmail();

    /**
     * Set email address
     *
     * @api
     *
     * @param string $email
     */
    public function setEmail($email);

    /**
     * Get first name
     *
     * @api
     *
     * @return string
     */
    public function getFirstname();

    /**
     * Set first name
     *
     * @api
     *
     * @param string $firstname
     */
    public function setFirstname($firstname);

    /**
     * Get last name
     *
     * @api
     *
     * @return string
     */
    public function getLastname();

    /**
     * Set last name
     *
     * @api
     *
     * @param string $lastname
     */
    public function setLastname($lastname);

    /**
     * Get group id
     *
     * @api
     *
     * @return string
     */
    public function getGroupId();

    /**
     * Set group id
     *
     * @api
     *
     * @param string $groupId
     */
    public function setGroupId($groupId);

    /**
     * Whether customer is guest
     *
     * @api
     *
     * @return bool
     */
    public function isGuest();

    /**
     * Set whether customer is guest
     *
     * @api
     *
     * @param bool $isGuest
     */
    public function setGuest($isGuest);

    /**
    * Get prefix
    *
    * @return string|null
    */
    public function getPrefix();

    /**
    * Set prefix
    *
    * @param string $prefix
    * @return $this
    */
    public function setPrefix($prefix);

    /**
     * Get date of birth
     *
     * @return string|null In keeping with current security and privacy best practices, be sure you are aware of any
     * potential legal and security risks associated with the storage of customers’ full date of birth
     * (month, day, year) along with other personal identifiers (e.g., full name) before collecting or processing
     * such data.
     */
    public function getDob();

    /**
     * Set date of birth
     *
     * @param string $dob
     * @return $this
     */
    public function setDob($dob);
}
