<?php

namespace SyncSpider\APIextension\Api\Data;

interface OrderPaymentOptionInterface extends SimpleOptionInterface
{
    public const ATTRIBUTE_CODE = 'additional_information';

    /**
     * Constants used as data array keys
     */
    public const KEY = 'key';

    public const IS_PUBLIC = 'is_public';

    /**
     * Set option identifier
     *
     * @param string $key
     * @return $this
     */
    public function setKey($key);

    /**
     * Get option identifier
     *
     * @return string|null
     */
    public function getKey();

    /**
     * Set whether order payment option is public
     *
     * @param boolean $public
     * @return $this
     */
    public function setIsPublic($public);

    /**
     * Whether order payment option is public
     *
     * @return boolean
     */
    public function getIsPublic();
}
