<?php

namespace SyncSpider\APIextension\Api\Data;

interface OrderShippingInterface
{
    /**
     * Get carrier code
     *
     * @api
     *
     * @return string
     */
    public function getCarrierCode();

    /**
     * Set carrier code
     *
     * @api
     *
     * @param string $carrier
     */
    public function setCarrierCode($carrier);

    /**
     * Get method title
     *
     * @api
     *
     * @return string
     */
    public function getMethodTitle();

    /**
     * Set method title
     *
     * @api
     *
     * @param string $value
     */
    public function setMethodTitle($value);

    /**
     * Get carrier title
     *
     * @api
     *
     * @return string
     */
    public function getCarrierTitle();

    /**
     * Set carrier title
     *
     * @api
     *
     * @param string $carrierTitle
     */
    public function setCarrierTitle($carrierTitle);

    /**
     * Get shipping method title
     *
     * @api
     * @return string
     */
    public function getShippingMethodTitle();

    /**
     * Set shipping method title
     *
     * @api
     *
     * @param string $methodTitle
     */
    public function setShippingMethodTitle($methodTitle);

    /**
     * Get shipping cost
     *
     * @api
     *
     * @return float
     */
    public function getShippingCost();

    /**
     * Set shipping cost
     *
     * @api
     *
     * @param float $cost
     */
    public function setShippingCost($cost);

    /**
     * Get minimum delivery date
     *
     * @api
     *
     * @return string
     */
    public function getMinDeliveryDate();

    /**
     * Set minimum delivery date
     *
     * @api
     *
     * @param string $minDeliveryDate
     */
    public function setMinDeliveryDate($minDeliveryDate);

    /**
     * Get maximum delivery date
     *
     * @api
     *
     * @return string
     */
    public function getMaxDeliveryDate();

    /**
     * Set maximum delivery date
     *
     * @api
     *
     * @param string $maxDeliveryDate
     */
    public function setMaxDeliveryDate($maxDeliveryDate);

    /**
     * Set shipping additional information
     *
     * @api
     *
     * @return \SyncSpider\APIextension\Api\Data\OrderShippingAdditionalInterface[]
     */
    public function getShippingAdditional();

    /**
     * Get shipping additional information
     *
     * @api
     *
     * @param \SyncSpider\APIextension\Api\Data\OrderShippingAdditionalInterface[] $additionalData
     */
    public function setShippingAdditional(array $additionalData);
}
