<?php

namespace SyncSpider\APIextension\Api\Data;

interface ProductAttributeInterface
{
    /**
     * Get product attribute code
     *
     * @return string
     */
    public function getAttributeCode();

    /**
     * Get product attribute label
     *
     * @return string
     */
    public function getAttributeLabel();

    /**
     * Get product attribute type
     *
     * @return string
     */
    public function getAttributeType();

    /**
     * Is product attribute create dynamic allowed
     *
     * @return bool
     */
    public function getIsCreateDynamicAllowed();

    /**
     * Get whether product attribute is required
     *
     * @return bool
     */
    public function getIsRequired();

    /**
     * Get product attribute options
     *
     * @return string[]
     */
    public function getOptions();

    /**
     * Get attribute scope
     *
     * @return string
     */
    public function getScope();
}
