<?php

namespace SyncSpider\APIextension\Api\Data;

interface ResponseInterface
{

    /**
     * Whether response is sucessfull
     *
     * @api
     * @return boolean
     */
    public function isSuccess();

    /**
     * Set whether response is sucessfull
     *
     * @api
     *
     * @param boolean $success
     *
     * @return null
     */
    public function setSuccess($success);

    /**
     * Get response message
     *
     * @api
     *
     * @return string
     */
    public function getMessage();

    /**
     * Set response message
     *
     * @api
     *
     * @param string $message
     *
     * @return null
     */
    public function setMessage($message);

    /**
     * Get response error code
     *
     * @api
     *
     * @return string
     */
    public function getErrorcode();

    /**
     * Set response error code
     *
     * @api
     *
     * @param string $errorcode
     *
     * @return null
     */
    public function setErrorcode($errorcode);

    /**
     * Get response data
     *
     * @api
     *
     * @return mixed
     */
    public function getData();

    /**
     * Set response data
     *
     * @api
     *
     * @param mixed $data
     *
     * @return null
     */
    public function setData($data);

    /**
     * Set raw response data
     *
     * @api
     *
     * @param mixed $data
     *
     * @return mixed
     */
    public function setRaw($data);
}
