<?php

namespace SyncSpider\APIextension\Api\Data;

interface SimpleOptionInterface
{
    /**
     * Constants used as data array keys
     */
    public const LABEL = 'label';

    public const VALUE = 'value';

    /**
     * Set option label
     *
     * @param string $label
     *
     * @return $this
     */
    public function setLabel($label);

    /**
     * Set option value
     *
     * @param string $value
     *
     * @return $this
     */
    public function setValue($value);

    /**
     * Get option label
     *
     * @return string|null
     */
    public function getLabel();

    /**
     * Get option value
     *
     * @return string|null
     */
    public function getValue();
}
