<?php

namespace SyncSpider\APIextension\Api\Data;

interface SynchronizationDataInterface
{
    public const PROJECT_ID = 'project_id';

    public const TASK_ID = 'task_id';

    public const EXECUTION_ID = 'execution_id';

    public const TIMESTAMP = 'timestamp';

    public const ENTITY_TYPE_ID = 'entity_type_id';

    /**
     * Set order synchronization data project id
     *
     * @param integer|null $projectId
     *
     * @return SynchronizationDataInterface
     */
    public function setProjectId(int $projectId = null): SynchronizationDataInterface;

    /**
     * Set order synchronization data task id
     *
     * @param integer|null $taskId
     *
     * @return SynchronizationDataInterface
     */
    public function setTaskId(int $taskId = null): SynchronizationDataInterface;

    /**
     * Set order synchronization data execution id
     *
     * @param integer|null $executionId
     *
     * @return SynchronizationDataInterface
     */
    public function setExecutionId(int $executionId = null): SynchronizationDataInterface;

    /**
     * Set order synchronization data timestamp
     *
     * @param string|null $timestamp
     *
     * @return SynchronizationDataInterface
     */
    public function setTimestamp(string $timestamp = null): SynchronizationDataInterface;

    /**
     * Set entity type id
     *
     * @param integer $entityTypeId
     *
     * @return SynchronizationDataInterface
     */
    public function setEntityTypeId(int $entityTypeId): SynchronizationDataInterface;

    /**
     * Get order synchronization data project id
     *
     * @return int|null
     */
    public function getProjectId(): ?int;

    /**
     * Get order synchronization data task id
     *
     * @return int|null
     */
    public function getTaskId(): ?int;

    /**
     * Get order synchronization data execution id
     *
     * @return int|null
     */
    public function getExecutionId(): ?int;

    /**
     * Get order synchronization data timestamp
     *
     * @return string|null
     */
    public function getTimestamp(): ?string;

    /**
     * Get entity type id
     *
     * @return integer
     */
    public function getEntityTypeId(): int;
}
