<?php

namespace SyncSpider\APIextension\Api\Data;

interface SyncspiderImageInterface
{
    public const SOURCE_URL = 'source_url';

    public const IS_FRESH = 'is_fresh';

    /**
     * Set image source url
     *
     * @param \string|null $sourceUrl
     *
     * @return SyncspiderImageInterface
     */
    public function setSourceUrl(string $sourceUrl = null): SyncspiderImageInterface;

    /**
     * Get image source url
     *
     * @return string|null
     */
    public function getSourceUrl(): ?string;

    /**
     * Set whether syncspier image is fresh
     *
     * @param bool $sourceUrl
     *
     * @return SyncspiderImageInterface
     */
    public function setIsFresh(bool $isFresh): SyncspiderImageInterface;

    /**
     * Whether syncspier image is fresh
     *
     * @return bool
     */
    public function getIsFresh(): bool;
}