<?php

namespace SyncSpider\APIextension\Api\Data;

interface WebhookInterface
{
    /**
     * Set webhook id
     *
     * @api
     *
     * @param int $id
     *
     * @return void
     */
    public function setId($id);

    /**
     * Get webhook id
     *
     * @api
     *
     * @return int
     */
    public function getId();

    /**
     * Set webhook data
     *
     * @api
     *
     * @param mixed $data
     *
     * @return void
     */
    public function setData($data);

    /**
     * Get webhook event code
     *
     * @api
     *
     * @param string $eventCode
     *
     * @return void
     */
    public function setEventCode($eventCode);

    /**
     * Get webhook event code
     *
     * @api
     *
     * @return string
     */
    public function getEventCode();

    /**
     * Set webook description
     *
     * @api
     *
     * @param string $description
     *
     * @return void
     */
    public function setDescription($description);

    /**
     * Get webhook description
     *
     * @api
     *
     * @return string
     */
    public function getDescription();

    /**
     * Set webhook token
     *
     * @api
     *
     * @param string $token
     *
     * @return void
     */
    public function setToken($token);

    /**
     * Get webhook token
     *
     * @api
     *
     * @return string
     */
    public function getToken();

    /**
     * Set webhook callback url
     *
     * @api
     *
     * @param string $callbackUrl
     *
     * @return void
     */
    public function setCallbackUrl($callbackUrl);

    /**
     * Get webhook callback url
     *
     * @api
     *
     * @return string
     */
    public function getCallbackUrl();

    /**
     * Set whether webhook is active
     *
     * @api
     *
     * @param bool $active
     *
     * @return void
     */
    public function setActive($active);

    /**
     * Whether webhook is active
     *
     * @api
     *
     * @return bool
     */
    public function getActive();
}
