<?php

namespace SyncSpider\APIextension\Api;

use Magento\Framework\Api\SearchCriteriaInterface;
use Magento\Framework\Api\Search\FilterGroup;
use Magento\Framework\Data\Collection\AbstractDb;

interface FilterGroupProcessorInterface
{
    /**
     * Whether filter group processor can handle given filter group
     *
     * @param FilterGroup $filterGroup
     *
     * @return bool
     */
    public function handles(FilterGroup $filterGroup): bool;

    /**
     * Apply given search criteria to given collection
     *
     * @param AbstractDb $collection
     * @param SearchCriteriaInterface $searchCriteria
     *
     * @return AbstractDb
     */
    public function apply(AbstractDb $collection, SearchCriteriaInterface $searchCriteria): AbstractDb;
}
