<?php

namespace SyncSpider\APIextension\Api;

interface FilterMetadataInterface
{
    /**
     * Get table name
     *
     * @return string
     */
    public function getTableName(): string;

    /**
     * Get table alias
     *
     * @return string
     */
    public function getTableAlias(): string;

    /**
     * Get field prefix
     *
     * @return string
     */
    public function getFieldPrefix(): string;

    /**
     * Get constraint
     *
     * @return string
     */
    public function getConstraint(): string;

    /**
     * Get field column name
     *
     * @return string
     */
    public function getColumn(): string;

    /**
     * Set table name
     *
     * @param string $tableName
     *
     * @return FilterMetadataInterface
     */
    public function setTableName(string $tableName): FilterMetadataInterface;

    /**
     * Set table alias
     *
     * @param string $tableAlias
     *
     * @return FilterMetadataInterface
     */
    public function setTableAlias(string $tableAlias): FilterMetadataInterface;

    /**
     * Set field prefix
     *
     * @param string $fieldPrefix
     *
     * @return FilterMetadataInterface
     */
    public function setFieldPrefix(string $fieldPrefix): FilterMetadataInterface;

    /**
     * Set constraint
     *
     * @param string $constraint
     *
     * @return FilterMetadataInterface
     */
    public function setConstraint(string $constraint): FilterMetadataInterface;
}
