<?php

namespace SyncSpider\APIextension\Api;

use Magento\Framework\Api\Filter;
use Magento\Framework\DB\Select;

interface FilterRendererInterface
{
    /**
     * Can be used to provided suffix bind name which can be used to assign unique bind names
     */
    public const SUFFIX_BIND_NAME = ':FILTER_BIND_SUFFIX:';

    /**
     * Render filter sql for given select and applies filter value to select binds
     *
     * @param Filter $filter
     * @param Select $select
     * @param FilterMetadataInterface $filterMetadata
     *
     * @return string
     */
    public function render(Filter $filter, Select $select, FilterMetadataInterface $filterMetadata): string;
}
