<?php

namespace SyncSpider\APIextension\Api;

interface ProductAttributeRepositoryInterface
{
    /**
     * Retrieves list of attributes visible on frontend
     *
     * @api
     *
     * @return \SyncSpider\APIextension\Api\Data\ProductAttributeInterface[]
     */
    public function getAttributes();

    /**
     * Gets all configurable attributes for a specific attribute set
     *
     * @api
     *
     * @param int $attributeSetId
     *
     * @return \SyncSpider\APIextension\Api\Data\ConfigurableProductAttributeInterface[]
     */
    public function getConfigurableAttributes($attributeSetId);
}
