<?php

namespace SyncSpider\APIextension\Api;

use InvalidArgumentException;

interface RemoteResourceInterface
{
    /**
     * Guard to check whether image resource is fresh
     *
     * Image resource is valid in case image resource is
     * valid resource and its position is 0
     *
     * @return void
     *
     * @throws InvalidArgumentException
     */
    public function guardFreshResource();
    /**
     * Get remote resource type
     *
     * @return string
     */
    public function getMimeType(): string;

    /**
     * Get remote resource contents
     *
     * @return string
     */
    public function getContents(): string;
}