<?php

namespace SyncSpider\APIextension\Api;

use SyncSpider\APIextension\Api\Data\SynchronizationDataInterface;
use DomainException;

interface SynchronizationDataRepositoryInterface
{
    /**
     * Save synchronization data for given entity type and entity ids
     *
     * @param SynchronizationDataInterface $synchronizationData
     * @param string $entityType
     * @param string[] $entityIds
     *
     * @throws DomainException
     *
     * @return integer
     */
    public function save(
        SynchronizationDataInterface $synchronizationData,
        string $entityType,
        array $entityIds = []
    ): int;
}
