<?php

namespace SyncSpider\APIextension\Api;

use Magento\Framework\Webapi\ServiceInputProcessor;

interface WebapiServiceInputInterface
{
    public const DATA_KEY = ServiceInputProcessor::class . '@convertValue';

    /**
     * Add given input value as webapi service input value for given value
     *
     * @param mixed $inputValue
     * @param mixed $value
     *
     * @return bool
     */
    public function add($inputValue, $value): bool;

    /**
     * Whether webapi service input value exists for given value
     *
     * @param mixed $value
     *
     * @return bool
     */
    public function has($value): bool;

    /**
     * Get webapi service input value for given value
     *
     * @param mixed $value
     *
     * @return mixed
     *
     * @throws
     */
    public function get($value);

    /**
     * Remove webapi service input value for given value
     *
     * @param mixed $value
     *
     * @return mixed Return modified value
     */
    public function remove($value);
}
