<?php

namespace SyncSpider\APIextension\Api;

use Magento\Framework\Api\SearchCriteriaInterface;
use SyncSpider\APIextension\Api\Data\WebhookInterface;

interface WebhookRepositoryInterface
{
    /**
     * Get webhook by id
     *
     * @api
     *
     * @param int $id
     *
     * @throws \Magento\Framework\Exception\NoSuchEntityException
     *
     * @return \SyncSpider\APIextension\Api\Data\ResponseInterface
     */
    public function getById($id);

    /**
     * Save given webhook interface
     *
     * @api
     *
     * @param \SyncSpider\APIextension\Api\Data\WebhookInterface $webhook
     *
     * @return \SyncSpider\APIextension\Api\Data\WebhookInterface
     */
    public function save(WebhookInterface $webhook);

    /**
     * Delete webhook by identifier test
     *
     * @api
     *
     * @param int $id
     *
     * @return void
     */
    public function delete($id);

    /**
     * Retrieves webhooks
     *
     * @api
     *
     * @param SearchCriteriaInterface $searchCriteria
     *
     * @return \SyncSpider\APIextension\Api\Data\WebhookSearchResultInterface
     */
    public function getList(SearchCriteriaInterface $searchCriteria);
}
