<?php

namespace SyncSpider\APIextension\Block\Payment;

use Magento\Payment\Block\ConfigurableInfo;

class GenericInfo extends ConfigurableInfo
{
    /**
     * @inheritdoc
     */
    public function getLabel($field)
    {
        return __($field);
    }

    /**
     * @inheritdoc
     */
    public function _prepareSpecificInformation($transport = null)
    {
        $transport = parent::_prepareSpecificInformation($transport);
        $additionalInformation = $this->getInfo()->getAdditionalInformation();

        if (!$additionalInformation || !is_array($additionalInformation)) {
            return $transport;
        }

        foreach ($additionalInformation as $key => $information) {
            if (!$key || !$information) {
                continue;
            }

            $transport->setData((string)__($key), $information);
        }

        return $transport;
    }
}
