<?php

namespace SyncSpider\APIextension\Controller\Adminhtml\SyncspiderWebhooks;

use Magento\Framework\Registry;
use Magento\Backend\Model\Session;
use SyncSpider\APIextension\Model\Webhook;

class Edit extends \Magento\Backend\App\Action
{
    /**
     * @inheritDoc
     */
    public function execute()
    {
        $id = $this->getRequest()->getParam('id');
        $model = $this->_objectManager->create(Webhook::class);

        $registryObject = $this->_objectManager->get(Registry::class);

        // 2. Initial checking
        if ($id) {
            $model->load($id);

            if (! $model->getId()) {
                $this->messageManager->addError(__('This row no longer exists.'));
                $this->_redirect('*/*/');
                return;
            }
        }

        // 3. Set entered data if was error when we do save
        $data = $this->_objectManager->get(Session::class)->getFormData(true);

        if (! empty($data)) {
            $model->setData($data);
        }

        $registryObject->register('apiextension_webhook', $model);
        $this->_view->loadLayout();
        $this->_view->getLayout()->initMessages();
        $this->_view->renderLayout();
    }
}
