<?php

namespace SyncSpider\APIextension\Controller\Adminhtml\SyncspiderWebhooks;

use SyncSpider\APIextension\Model\Webhook;
use Exception;

class MassDelete extends \Magento\Backend\App\Action
{
    /**
     * @inheritDoc
     */
    public function execute()
    {
        $ids = $this->getRequest()->getParam('id');

        if (! is_array($ids) || empty($ids)) {
            $this->messageManager->addError(__('Please select product(s).'));
        } else {
            try {
                foreach ($ids as $id) {
                    $row = $this->_objectManager->get(Webhook::class)->load($id);
                    $row->delete();
                }

                $this->messageManager->addSuccess(
                    __('A total of %1 record(s) have been deleted.', count($ids))
                );
            } catch (Exception $e) {
                $this->messageManager->addError($e->getMessage());
            }
        }

        $this->_redirect('*/*/');
    }
}
