<?php

namespace SyncSpider\APIextension\Controller\Adminhtml\SyncspiderWebhooks;

use Magento\Framework\Model\Exception as MagentoException;
use Magento\Backend\Model\Session;
use SyncSpider\APIextension\Model\Webhook;
use RuntimeException;
use Exception;

class Save extends \Magento\Backend\App\Action
{
    /**
     * @inheritDoc
     */
    public function execute()
    {
        $data = $this->getRequest()->getParams();
        $id = $this->getRequest()->getParam('id');

        if ($data) {
            $model = $this->_objectManager->create(Webhook::class);

            if ($id) {
                $model->load($id);
            }

            $model->setData($data);

            try {
                $model->save();
                $this->messageManager->addSuccess(__('The webhook has been Saved.'));
                $this->_objectManager->get(Session::class)->setFormData(false);

                if ($this->getRequest()->getParam('back')) {
                    $this->_redirect('*/*/edit', ['id' => $model->getId(), '_current' => true]);
                    return;
                }

                $this->_redirect('*/*/');
                return;
            } catch (MagentoException $e) {
                $this->messageManager->addError($e->getMessage());
            } catch (RuntimeException $e) {
                $this->messageManager->addError($e->getMessage());
            } catch (Exception $e) {
                $this->messageManager->addException($e, __('Something went wrong while saving the webhook.'));
            }

            $this->_getSession()->setFormData($data);
            $this->_redirect('*/*/edit', ['webhook_id' => $this->getRequest()->getParam('webhook_id')]);
            return;
        }

        $this->_redirect('*/*/');
    }
}
