<?php

namespace SyncSpider\APIextension\Model\Api;

use Magento\Store\Model\StoreManagerInterface;
use SyncSpider\APIextension\Api\Data\InfoResponseInterfaceFactory;
use SyncSpider\APIextension\Api\InfoRepositoryInterface;
use SyncSpider\APIextension\Helper\Data;

class InfoRepository implements InfoRepositoryInterface
{
    /**
     * @var StoreManagerInterface
     */
    private $storeManager;

    /**
     * @var Data
     */
    private $helper;

    /**
     * InfoRepository constructor.
     *
     * @param Data $helper
     * @param StoreManagerInterface $storeManager
     * @param InfoResponseInterfaceFactory $responseFactory
     */
    public function __construct(
        Data $helper,
        StoreManagerInterface $storeManager,
        InfoResponseInterfaceFactory $responseFactory
    ) {
        $this->helper = $helper;
        $this->storeManager = $storeManager;
        $this->responseFactory = $responseFactory;
    }

    /**
     * @inheritDoc
     */
    public function get()
    {
        $shopName = $this->storeManager->getStore()->getName();
        $response = $this->responseFactory->create();
        $response->setShop($shopName);
        $response->setShopVersion($this->helper->getVersion());
        $response->setExtensionVersion($this->helper->getExtensionVersion());
        $response->setPhpVersion(PHP_VERSION);
        $response->setOs(PHP_OS);
        return $response;
    }
}
