<?php

namespace SyncSpider\APIextension\Model\Category;

use Magento\Catalog\Model\Category;
use Magento\Framework\Data\Tree\Node;

/**
 * Retrieve category data represented in tree structure.
 *
 * Override base code since in Magento 2.3.2 there is a bug in getNode method.
 */
class Tree extends \Magento\Catalog\Model\Category\Tree
{
    /**
     * Get node by category.
     *
     * @param \Magento\Catalog\Model\Category $category
     *
     * @return Node
     *
     * @throws \Magento\Framework\Exception\LocalizedException
     * @throws \Magento\Framework\Exception\NoSuchEntityException
     */
    protected function getNode(Category $category)
    {
        $nodeId = $category->getId();
        $node = $this->categoryTree->loadNode($nodeId);
        $node->loadChildren();
        $this->prepareCollection();
        $this->categoryTree->addCollectionData($this->categoryCollection);

        return $node;
    }
}
