<?php

namespace SyncSpider\APIextension\Model\Config;

use Magento\Framework\Data\Form\Element\AbstractElement;

class Version extends \Magento\Config\Block\System\Config\Form\Field
{
    /**
     * @var \SyncSpider\APIextension\Helper\Data
     */
    private $helper;

    /**
     * Version constructor.
     *
     * @param \Magento\Backend\Block\Template\Context $context
     * @param \SyncSpider\APIextension\Helper\Data $helper
     * @param array $data
     */
    public function __construct(
        \Magento\Backend\Block\Template\Context $context,
        \SyncSpider\APIextension\Helper\Data $helper,
        array $data = []
    ) {
        parent::__construct($context, $data);
        $this->helper = $helper;
    }

    /**
     * @inheritDoc
     */
    protected function _getElementHtml(AbstractElement $element)
    {
        return $this->helper->getExtensionVersion();
    }
}
