<?php

namespace SyncSpider\APIextension\Model\Data;

use Magento\Customer\Api\Data\CustomerInterface;
use Magento\Framework\Model\AbstractModel;
use SyncSpider\APIextension\Api\Data\OrderCustomerInterface;

class OrderCustomer extends AbstractModel implements OrderCustomerInterface
{
    /**
     * @inheritDoc
     */
    public function isGuest()
    {
        return $this->getData('is_guest');
    }

    /**
     * @inheritDoc
     */
    public function setGuest($isGuest)
    {
        $this->setData('is_guest', $isGuest);
    }

    /**
     * @inheritDoc
     */
    public function getEmail()
    {
        return $this->getData('email');
    }

    /**
     * @inheritDoc
     */
    public function setEmail($email)
    {
        $this->setData('email', $email);
    }

    /**
     * @inheritDoc
     */
    public function getFirstname()
    {
        return $this->getData('firstname');
    }

    /**
     * @inheritDoc
     */
    public function setFirstname($firstname)
    {
        $this->setData('firstname', $firstname);
    }

    /**
     * @inheritDoc
     */
    public function getLastname()
    {
        return $this->getData('lastname');
    }

    /**
     * @inheritDoc
     */
    public function setLastname($lastname)
    {
        $this->setData('lastname', $lastname);
    }

    /**
     * @inheritDoc
     */
    public function getGroupId()
    {
        return $this->getData('group_id');
    }

    /**
     * @inheritDoc
     */
    public function setGroupId($groupId)
    {
        $this->setData('group_id', $groupId);
    }

    /**
    * @inheritDoc
    */
    public function getPrefix()
    {
        return $this->getData(CustomerInterface::PREFIX);
    }

    /**
     * @inheritDoc
     */
    public function setPrefix($prefix)
    {
        return $this->setData(CustomerInterface::PREFIX, $prefix);
    }

    /**
     * @inheritDoc
     */
    public function getDob()
    {
        return $this->getData(CustomerInterface::DOB);
    }

    /**
     * @inheritDoc
     */
    public function setDob($dob)
    {
        return $this->setData(CustomerInterface::DOB, $dob);
    }
}
