<?php

namespace SyncSpider\APIextension\Model\Data;

use SyncSpider\APIextension\Api\Data\OrderCustomerAddressInterface;
use Magento\Sales\Model\Order\Address;

class OrderCustomerAddress extends Address implements OrderCustomerAddressInterface
{
    /**
     * @inheritdoc
     */
    public function getSaveInAddressBook()
    {
        return $this->getData('save_in_address_book');
    }

    /**
     * @inheritdoc
     */
    public function setSaveInAddressBook($saveInAddressBook)
    {
        $this->setData('save_in_address_book', $saveInAddressBook);
    }

    /**
     * @inheritDoc
     */
    public function toArray(array $keys = [])
    {
        $result = parent::toArray($keys);

        if (isset($result['street']) && !is_array($result['street'])) {
            $result['street'] = [$result['street']];
        }

        return $result;
    }
}
