<?php

namespace SyncSpider\APIextension\Model\Data;

use Magento\Framework\Model\AbstractModel;
use SyncSpider\APIextension\Api\Data\OrderItemInterface;

class OrderItem extends AbstractModel implements OrderItemInterface
{
    /**
     * @var \SyncSpider\APIextension\Api\Data\OrderItemGiftMessageInterface
     */
    private $giftMessage;

    /**
     * @inheritDoc
     */
    public function getSku()
    {
        return $this->getData('sku');
    }

    /**
     * @inheritDoc
     */
    public function setSku($sku)
    {
        $this->setData('sku', $sku);
    }

    /**
     * @inheritDoc
     */
    public function getName()
    {
        return $this->getData('name');
    }

    /**
     * @inheritDoc
     */
    public function setName($name)
    {
        $this->setData('name', $name);
    }

    /**
     * @inheritDoc
     */
    public function getAttributeSetId()
    {
        return $this->getData('attribute_set_id');
    }

    /**
     * @inheritDoc
     */
    public function setAttributeSetId($attributeSetId)
    {
        $this->setData('attribute_set_id', $attributeSetId);
    }

    /**
     * @inheritDoc
     */
    public function getCustomPrice()
    {
        return $this->getData('custom_price');
    }

    /**
     * @inheritDoc
     */
    public function setCustomPrice($customPrice)
    {
        $this->setData('custom_price', $customPrice);
    }

    /**
     * @inheritDoc
     */
    public function getQty()
    {
        return $this->getData('qty');
    }

    /**
     * @inheritDoc
     */
    public function setQty($qty)
    {
        $this->setData('qty', $qty);
    }

    /**
     * @inheritDoc
     */
    public function getOrderedQty()
    {
        return $this->getData('ordered_qty');
    }

    /**
     * @inheritDoc
     */
    public function setOrderedQty($orderedQty)
    {
        $this->setData('ordered_qty', $orderedQty);
    }

    /**
     * @inheritDoc
     */
    public function getGiftMessage()
    {
        return $this->giftMessage;
    }

    /**
     * @inheritDoc
     */
    public function setGiftMessage($giftMessage)
    {
        $this->giftMessage = $giftMessage;
    }

    /**
     * @inheritDoc
     */
    public function getTaxClassId()
    {
        return $this->getData('tax_class_id');
    }

    /**
     * @inheritDoc
     */
    public function setTaxClassId($taxClassId)
    {
        $this->setData('tax_class_id', $taxClassId);
    }

    /**
     * @inheritDoc
     */
    public function isUseDiscount()
    {
        return $this->getData('use_discount');
    }

    /**
     * @inheritDoc
     */
    public function setUseDiscount($useDiscount)
    {
        $this->setData('use_discount', $useDiscount);
    }

    /**
     * @inheritDoc
     */
    public function getProductOption()
    {
        return $this->getData('product_option');
    }

    /**
     * @inheritDoc
     */
    public function setProductOption(\Magento\Catalog\Api\Data\ProductOptionInterface $productOption)
    {
        return $this->setData('product_option', $productOption);
    }
}
