<?php

namespace SyncSpider\APIextension\Model\Data;

use Magento\Framework\Model\AbstractModel;
use SyncSpider\APIextension\Api\Data\OrderPaymentInterface;

class OrderPayment extends AbstractModel implements OrderPaymentInterface
{
    /**
     * @var \SyncSpider\APIextension\Api\Data\OrderPaymentAdditionalInterface[]
     */
    private $paymentAdditional = [];

    /**
     * @inheritDoc
     */
    public function getPaymentMethod()
    {
        return $this->getData('payment_method');
    }

    /**
     * @inheritDoc
     */
    public function setPaymentMethod($paymentMethod)
    {
        $this->setData('payment_method', $paymentMethod);
    }

    /**
     * @inheritDoc
     */
    public function getExternalOrderId()
    {
        return $this->getData('external_order_id');
    }

    /**
     * @inheritDoc
     */
    public function setExternalOrderId($externalOrderId)
    {
        $this->setData('external_order_id', $externalOrderId);
    }

    /**
     * @inheritDoc
     */
    public function getExternalTaxId()
    {
        return $this->getData('external_tax_id');
    }

    /**
     * @inheritDoc
     */
    public function setExternalTaxId($externalTaxId)
    {
        $this->setData('external_tax_id', $externalTaxId);
    }

    /**
     * @inheritDoc
     */
    public function getExternalTransactionId()
    {
        return $this->getData('external_transaction_id');
    }

    /**
     * @inheritDoc
     */
    public function setExternalTransactionId($externalTransactionId)
    {
        $this->setData('external_transaction_id', $externalTransactionId);
    }

    /**
     * @inheritDoc
     */
    public function getExternalTransactionDate()
    {
        return $this->getData('external_transaction_date');
    }

    /**
     * @inheritDoc
     */
    public function setExternalTransactionDate($externalTransactionDate)
    {
        $this->setData('external_transaction_date', $externalTransactionDate);
    }

    /**
     * @inheritDoc
     */
    public function getExternalOrderFee()
    {
        return $this->getData('external_order_fee');
    }

    /**
     * @inheritDoc
     */
    public function setExternalOrderFee($externalOrderFee)
    {
        $this->setData('external_order_fee', $externalOrderFee);
    }

    /**
     * @inheritDoc
     */
    public function getPaymentAdditional()
    {
        return $this->paymentAdditional;
    }

    /**
     * @inheritDoc
     */
    public function setPaymentAdditional(array $paymentAdditional)
    {
        $this->paymentAdditional = $paymentAdditional;
    }

    /**
     * @inheritDoc
     */
    public function getExternalSystemName()
    {
        return $this->getData('external_system_name');
    }

    /**
     * @inheritDoc
     */
    public function setExternalSystemName($externalSystemName)
    {
        $this->setData('external_system_name', $externalSystemName);
    }
}
