<?php

namespace SyncSpider\APIextension\Model\Data;

use Magento\Framework\Model\AbstractModel;
use SyncSpider\APIextension\Api\Data\OrderShippingInterface;

class OrderShipping extends AbstractModel implements OrderShippingInterface
{
    /**
     * @var \SyncSpider\APIextension\Api\Data\OrderShippingAdditionalInterface[]
     */
    private $shippingAdditional = [];

    /**
     * @inheritDoc
     */
    public function getCarrierCode()
    {
        return $this->getData('carrier');
    }

    /**
     * @inheritDoc
     */
    public function setCarrierCode($carrier)
    {
        $this->setData('carrier', $carrier);
    }

    /**
     * @inheritDoc
     */
    public function getMethodTitle()
    {
        return $this->getData('method_title');
    }

    /**
     * @inheritDoc
     */
    public function setMethodTitle($value)
    {
        $this->setData('method_title', $value);
    }

    /**
     * @inheritDoc
     */
    public function getCarrierTitle()
    {
        return $this->getData('carrier_title');
    }

    /**
     * @inheritDoc
     */
    public function setCarrierTitle($carrierTitle)
    {
        $this->setData('carrier_title', $carrierTitle);
    }

    /**
     * @inheritDoc
     */
    public function getShippingMethodTitle()
    {
        return $this->getData('shipping_method_title');
    }

    /**
     * @inheritDoc
     */
    public function setShippingMethodTitle($shippingMethodTitle)
    {
        $this->setData('shipping_method_title', $shippingMethodTitle);
    }

    /**
     * @inheritDoc
     */
    public function getShippingCost()
    {
        return $this->getData('shipping_cost');
    }

    /**
     * @inheritDoc
     */
    public function setShippingCost($shippingCost)
    {
        $this->setData('shipping_cost', $shippingCost);
    }

    /**
     * @inheritDoc
     */
    public function getMinDeliveryDate()
    {
        return $this->getData('min_delivery_date');
    }

    /**
     * @inheritDoc
     */
    public function setMinDeliveryDate($minDeliveryDate)
    {
        $this->setData('min_delivery_date', $minDeliveryDate);
    }

    /**
     * @inheritDoc
     */
    public function getMaxDeliveryDate()
    {
        return $this->getData('max_delivery_date');
    }

    /**
     * @inheritDoc
     */
    public function setMaxDeliveryDate($maxDeliveryDate)
    {
        $this->setData('max_delivery_date', $maxDeliveryDate);
    }

    /**
     * @inheritDoc
     */
    public function getShippingAdditional()
    {
        return $this->shippingAdditional;
    }

    /**
     * @inheritDoc
     */
    public function setShippingAdditional(array $shippingAdditional)
    {
        $this->shippingAdditional = $shippingAdditional;
    }
}
