<?php
/**
 * @category    SyncSpider
 * @package     SyncSpider_APIextension
 * @author      Ricards Zalitis with THANKS to atipso GmbH <hello@dragdropr.com>
 * @copyright   2018 atipso GmbH
 * @license     http://license.mageshops.com/  Unlimited Commercial License
 */

namespace SyncSpider\APIextension\Model\Data;

use \SyncSpider\APIextension\Api\Data\ProductOptionInterface;

class ProductOption extends SimpleOption implements ProductOptionInterface
{
    /**
     * @inheritdoc
     */
    public function setLabel($label)
    {
        $this->setData(static::LABEL, $label);
        return $this;
    }

    /**
     * @inheritdoc
     */
    public function setValue($value)
    {
        $this->setData(static::VALUE, $value);
        return $this;
    }

    /**
     * @inheritdoc
     */
    public function getLabel()
    {
        return $this->_get(static::LABEL);
    }

    /**
     * @inheritdoc
     */
    public function getValue()
    {
        return $this->_get(static::VALUE);
    }

    /**
     * @inheritdoc
     */
    public function setPath($path)
    {
        $this->setData(static::PATH, $path);
        return $this;
    }

    /**
     * @inheritdoc
     */
    public function getPath()
    {
        $path = $this->_get(static::PATH);
        return empty($path) ? static::ATTRIBUTE_CODE : $path;
    }
}
