<?php
/**
 * @category    SyncSpider
 * @package     SyncSpider_APIextension
 * @author      Ricards Zalitis with THANKS to atipso GmbH <hello@dragdropr.com>
 * @copyright   2018 atipso GmbH
 * @license     http://license.mageshops.com/  Unlimited Commercial License
 */

namespace SyncSpider\APIextension\Model\Data;

use \SyncSpider\APIextension\Api\Data\SimpleOptionInterface;
use \Magento\Framework\Api\AbstractSimpleObject;

class SimpleOption extends AbstractSimpleObject implements SimpleOptionInterface
{
    /**
     * @inheritdoc
     */
    public function setLabel($label)
    {
        $this->setData(static::LABEL, $label);
        return $this;
    }

    /**
     * @inheritdoc
     */
    public function setValue($value)
    {
        $this->setData(static::VALUE, $value);
        return $this;
    }

    /**
     * @inheritdoc
     */
    public function getLabel()
    {
        return $this->_get(static::LABEL);
    }

    /**
     * @inheritdoc
     */
    public function getValue()
    {
        return $this->_get(static::VALUE);
    }
}
