<?php

namespace SyncSpider\APIextension\Model\Data;

use Magento\Framework\DataObject;
use SyncSpider\APIextension\Api\Data\SynchronizationDataInterface;

class SynchronizationData extends DataObject implements SynchronizationDataInterface
{
    /**
     * Order synchronization data constructor.
     *
     * @param array $data
     */
    public function __construct(array $data = [])
    {
        parent::__construct($data);
    }

    /**
     * @inheritDoc
     */
    public function setProjectId(int $projectId = null): SynchronizationDataInterface
    {
        return $this->setData(static::PROJECT_ID, $projectId);
    }

    /**
     * @inheritDoc
     */
    public function setTaskId(int $taskId = null): SynchronizationDataInterface
    {
        return $this->setData(static::TASK_ID, $taskId);
    }

    /**
     * @inheritDoc
     */
    public function setExecutionId(int $executionId = null): SynchronizationDataInterface
    {
        return $this->setData(static::EXECUTION_ID, $executionId);
    }

    /**
     * @inheritDoc
     */
    public function setTimestamp(string $timestamp = null): SynchronizationDataInterface
    {
        return $this->setData(static::TIMESTAMP, $timestamp);
    }

    /**
     * @inheritDoc
     */
    public function setEntityTypeId(int $entityTypeId): SynchronizationDataInterface
    {
        return $this->setData(static::ENTITY_TYPE_ID, $entityTypeId);
    }

    /**
     * @inheritDoc
     */
    public function getProjectId(): ?int
    {
        return $this->getData(static::PROJECT_ID);
    }

    /**
     * @inheritDoc
     */
    public function getTaskId(): ?int
    {
        return $this->getData(static::TASK_ID);
    }

    /**
     * @inheritDoc
     */
    public function getExecutionId(): ?int
    {
        return $this->getData(static::EXECUTION_ID);
    }

    /**
     * @inheritDoc
     */
    public function getTimestamp(): ?string
    {
        return $this->getData(static::TIMESTAMP);
    }

    /**
     * @inheritDoc
     */
    public function getEntityTypeId(): int
    {
        return $this->getData(static::ENTITY_TYPE_ID);
    }
}
