<?php

namespace SyncSpider\APIextension\Model\Data;

use Magento\Framework\DataObject;
use SyncSpider\APIextension\Api\Data\SyncspiderImageInterface;

class SyncspiderImage extends DataObject implements SyncspiderImageInterface
{
    /**
     * Order synchronization data constructor.
     *
     * @param array $data
     */
    public function __construct(array $data = [])
    {
        parent::__construct($data);
    }

    /**
     * @inheritDoc
     */
    public function setSourceUrl(string $sourceUrl = null): SyncspiderImageInterface
    {
        return $this->setData(static::SOURCE_URL, $sourceUrl);
    }

    /**
     * @inheritDoc
     */
    public function getSourceUrl(): ?string
    {
        return $this->getData(static::SOURCE_URL);
    }

    /**
     * @inheritDoc
     */
    public function setIsFresh(bool $isFresh): SyncspiderImageInterface
    {
        return $this->setData(static::IS_FRESH, $isFresh);
    }

    /**
     * @inheritDoc
     */
    public function getIsFresh(): bool
    {
        return $this->getData(static::IS_FRESH) === true;
    }
}
