<?php

namespace SyncSpider\APIextension\Model\ExtensionAttributes;

use Magento\Framework\Api\ExtensibleDataInterface;
use SyncSpider\APIextension\Api\ExtensionAttributes\{
    ProcessorContextInterface,
    ProcessorInterface
};

class ProcessorPool implements ProcessorInterface
{
    /**
     * @var ProcessorInterface[]
     */
    private $processorPool;

    public function __construct(array $processorPool)
    {
        $this->processorPool = $processorPool;
    }

    /**
     * @inheritDoc
     */
    public function process(ExtensibleDataInterface $entity, ProcessorContextInterface $context): ExtensibleDataInterface
    {
        foreach ($this->processorPool as $processor) {
            $processor->process($entity, $context);
        }

        return $entity;
    }
}
