<?php

namespace SyncSpider\APIextension\Model;

use SyncSpider\APIextension\Api\InventoryStockFeatureInterface;

class InventoryStockFeature implements InventoryStockFeatureInterface
{
    /**
     * @var boolean
     */
    private $active = false;

    /**
     * @inheritDoc
     */
    public function enable(): InventoryStockFeatureInterface
    {
        $this->active = true;
        return $this;
    }

    /**
     * @inheritDoc
     */
    public function disable(): InventoryStockFeatureInterface
    {
        $this->active = false;
        return $this;
    }

    /**
     * @inheritDoc
     */
    public function active(): bool
    {
        return $this->active;
    }

    /**
     * @inheritDoc
     */
    public function execute(callable $callback, array $arguments = [])
    {
        $active = $this->active();

        if (! $active) {
            $this->enable();
        }

        $result = call_user_func_array($callback, $arguments);

        if (! $active) {
            $this->disable();
        }

        return $result;
    }
}
