<?php

namespace SyncSpider\APIextension\Model;

use SyncSpider\APIextension\Api\{
    InventoryStockFeatureInterface,
    InventoryStockServiceInterface,
    InventoryStockFeatureInterfaceFactory
};

class InventoryStockService implements InventoryStockServiceInterface
{
    /**
     * @var InventoryStockFeatureInterfaceFactory
     */
    private $featureFactory;

    /**
     * @var InventoryStockFeatureInterface[]
     */
    private $features;

    public function __construct(InventoryStockFeatureInterfaceFactory $featureFactory, array $features = [])
    {
        $this->featureFactory = $featureFactory;
        $this->features = $features;
    }

    /**
     * @inheritDoc
     */
    public function backorders(): InventoryStockFeatureInterface
    {
        if (! isset($this->features[static::FEATURE_BACKORDERS])) {
            $this->features[static::FEATURE_BACKORDERS] = $this->featureFactory->create();
        }

        return $this->features[static::FEATURE_BACKORDERS];
    }
}
