<?php

namespace SyncSpider\APIextension\Model\ProductOption;

use Magento\Framework\DataObject;

interface InformationResolverInterface
{
    /**
     * Whether given entity is valid for information resolver
     *
     * @param mixed $entity
     *
     * @return boolean
     */
    public function validEntity($entity): bool;

    /**
     * Get entity information key fields
     *
     * @param mixed $entity
     *
     * @return array
     */
    public function entityInformationKeyFields($entity): array;

    /**
     * Get product option information for given request
     *
     * @return ProductOptionInformation
     */
    public function getProductOptionInformation(DataObject $request): ProductOptionInformation;
}