<?php

namespace SyncSpider\APIextension\Model\ProductOption;

use Magento\Catalog\Api\Data\ProductOptionInterface;

interface VisibleProductOptionProcessorInterface
{
    public const READONLY = 'read_only_product_option';

    /**
     * Convert product option data to visible options data
     *
     * Resulting array must be list of items containing value and label keys
     *
     * @param ProductOptionInterface $productOption
     *
     * @return array
     */
    public function convertToVisibleOptions(ProductOptionInterface $productOption): array;
}