<?php

namespace SyncSpider\APIextension\Model;

use Magento\Framework\Indexer\IndexerInterfaceFactory;
use SyncSpider\APIextension\Api\ReindexRepositoryInterface;

class ReindexRepository implements ReindexRepositoryInterface
{
    /**
     * @var \SyncSpider\APIextension\Helper\Data
     */
    protected $helper;

    /**
     * @var \Magento\Framework\Indexer\IndexerInterfaceFactory
     */
    protected $indexerFactory;

    /**
     * @var \Magento\Indexer\Model\Processor
     */
    protected $process;

    /**
     * ReindexRepository constructor.
     *
     * @param \Magento\Indexer\Model\Processor     $process
     * @param \SyncSpider\APIextension\Helper\Data $helper
     * @param IndexerInterfaceFactory              $indexerFactory
     */
    public function __construct(
        \Magento\Indexer\Model\Processor $process,
        \SyncSpider\APIextension\Helper\Data $helper,
        \Magento\Framework\Indexer\IndexerInterfaceFactory $indexerFactory
    ) {
        $this->helper = $helper;
        $this->indexerFactory = $indexerFactory;
        $this->process = $process;
    }

    /**
     * Get indexer by it id
     *
     * @param string $indexerId
     *
     * @return \Magento\Framework\Indexer\IndexerInterface
     */
    public function getIndexer($indexerId)
    {
        return $this->indexerFactory->create()->load($indexerId);
    }

    /**
     * @inheritDoc
     */
    public function execute()
    {
        $this->helper->log('Reindex execution started.');
        $this->process->reindexAll();
    }
}
