<?php

namespace SyncSpider\APIextension\Model;

use Magento\Framework\Model\AbstractModel;
use SyncSpider\APIextension\Api\Data\WebhookInterface;
use SyncSpider\APIextension\Model\ResourceModel\Webhook as WebhookResourceModel;

class Webhook extends AbstractModel implements WebhookInterface
{
    /**
     * @var string
     */
    protected $description;

    /**
     * @var string
     */
    protected $token;

    /**
     * @var bool
     */
    protected $active;

    /**
     * @var string
     */
    protected $eventCode;

    /**
     * @var string
     */
    protected $callbackUrl;

    /**
     * Webhook constructor.
     *
     * @param \Magento\Framework\Model\Context                             $context
     * @param \Magento\Framework\Registry                                  $registry
     * @param \Magento\Framework\Model\ResourceModel\AbstractResource|null $resource
     * @param \Magento\Framework\Data\Collection\AbstractDb|null           $resourceCollection
     * @param array                                                        $data
     */
    public function __construct(
        \Magento\Framework\Model\Context $context,
        \Magento\Framework\Registry $registry,
        \Magento\Framework\Model\ResourceModel\AbstractResource $resource = null,
        \Magento\Framework\Data\Collection\AbstractDb $resourceCollection = null,
        array $data = []
    ) {
        parent::__construct($context, $registry, $resource, $resourceCollection, $data);
        $this->_init(WebhookResourceModel::class);
    }

    /**
     * @inheritDoc
     */
    public function _construct()
    {
        $this->_init(WebhookResourceModel::class);
    }

    /**
     * @inheritDoc
     */
    public function getDescription()
    {
        return $this->description;
    }

    /**
     * @inheritDoc
     */
    public function setDescription($description)
    {
        $this->description = $description;
    }

    /**
     * @inheritDoc
     */
    public function getToken()
    {
        return $this->token;
    }

    /**
     * @inheritDoc
     */
    public function setToken($token)
    {
        $this->token = $token;
    }

    /**
     * @inheritDoc
     */
    public function getActive()
    {
        return $this->active;
    }

    /**
     * @inheritDoc
     */
    public function setActive($active)
    {
        $this->active = $active;
    }

    /**
     * @inheritDoc
     */
    public function getEventCode()
    {
        return $this->eventCode;
    }

    /**
     * @inheritDoc
     */
    public function setEventCode($eventCode)
    {
        $this->eventCode = $eventCode;
    }

    /**
     * @inheritDoc
     */
    public function getCallbackUrl()
    {
        return $this->callbackUrl;
    }

    /**
     * @inheritDoc
     */
    public function setCallbackUrl($callbackUrl)
    {
        $this->callbackUrl = $callbackUrl;
    }
}
