<?php

namespace SyncSpider\APIextension\Observer;

use Magento\Framework\Event\Observer;
use Magento\Framework\Event\ObserverInterface;
use Magento\Sales\Api\Data\OrderInterface;
use SyncSpider\APIextension\Api\ExtensionAttributes\ProcessorInterface;
use SyncSpider\APIextension\Model\ExtensionAttributes\SalesOrderContext;

class SalesOrderPlaceAfterObserver implements ObserverInterface
{
    /**
     * @var ProcessorInterface
     */
    private $processor;

    /**
     * @var SalesOrderContext
     */
    private $orderContext;

    public function __construct(
        ProcessorInterface $processor,
        SalesOrderContext $orderContext
    ) {
        $this->processor = $processor;
        $this->orderContext = $orderContext;
    }

    /**
     * Trigger sales order place after processor
     *
     * @param Observer $observer
     *
     * @return void
     */
    public function execute(Observer $observer)
    {
        $order = $observer->getData('order');

        if ($order instanceof OrderInterface) {
            $context = $this->orderContext->createOrderProcessorContext($order);
            $this->processor->process($order, $context);
        }
    }
}