<?php

namespace SyncSpider\APIextension\Observer;

use Magento\Framework\Event\Observer;
use Magento\Framework\Event\ObserverInterface;
use SyncSpider\APIextension\Helper\Data as SyncSpiderHelper;
use SyncSpider\APIextension\Model\ResourceModel\Webhook\Collection as WebhooksCollection;

class WebhookEventsCategory implements ObserverInterface
{
    /**
     * @var WebhooksCollection
     */
    private $collectionFactory;

    /**
     * @var string
     */
    private $eventCode = 'catalog_category_save_commit_after';

    /**
     * @var SyncSpiderHelper
     */
    private $helper;

    /**
     * WebhookEventsCategory constructor.
     *
     * @param WebhooksCollection $collectionFactory
     * @param SyncSpiderHelper   $helper
     */
    public function __construct(WebhooksCollection $collectionFactory, SyncSpiderHelper $helper)
    {
        $this->collectionFactory = $collectionFactory;
        $this->helper = $helper;
    }

    /**
     * Execute category entity event notification syncspider webhook
     *
     * @param Observer $observer
     */
    public function execute(Observer $observer)
    {
        $this->helper->runWebHook($this->collectionFactory, $this->eventCode, 'category', $observer);
    }
}
