<?php

namespace SyncSpider\APIextension\Plugin\Magento\Catalog\Helper;

use Magento\Catalog\Helper\Product;
use SyncSpider\APIextension\Api\InventoryStockServiceInterface;

class ProductPlugin
{
    /**
     * @var InventoryStockServiceInterface
     */
    private $stockService;

    public function __construct(InventoryStockServiceInterface $stockService)
    {
        $this->stockService = $stockService;
    }

    /**
     * Enable "skip saleable check" based on custom inventory stock "backorders" feature
     *
     * Used to allow importing orders having out of stock products
     *
     * @param Product $subject
     * @param bool $result
     *
     * @return bool
     */
    public function afterGetSkipSaleableCheck(Product $subject, $result)
    {
        $backorders = $this->stockService->backorders();

        if ($backorders->active()) {
            return true;
        }

        return $result;
    }
}