<?php

namespace SyncSpider\APIextension\Plugin\Magento\Downloadable\Model\Link;

use Magento\Catalog\Api\Data\ProductInterface;
use Magento\Downloadable\Model\Product\Type;
use Magento\Downloadable\Model\Link\UpdateHandler;

class UpdateHandlerPlugin
{
    /**
     * Prevent execution of update handler in case downloadable product links extension attribute is not provided
     *
     * @param UpdateHandler $subject
     * @param callable $proceed
     * @param ProductInterface $entity
     * @param array $arguments
     *
     * @return ProductInterface
     *
     * @see https://github.com/magento/magento2/commit/a09d71afe6f0ed68df98e145f3b4f9858ab71c6d
     */
    public function aroundExecute(UpdateHandler $subject, callable $proceed, $entity, $arguments = [])
    {
        if ($entity instanceof ProductInterface
            && $entity->getTypeId() === Type::TYPE_DOWNLOADABLE
            && $entity->getExtensionAttributes()
            && $entity->getExtensionAttributes()->getDownloadableProductLinks()
        ) {
            return $proceed($entity, $arguments);
        }

        return $entity;
    }
}
