<?php

namespace SyncSpider\APIextension\Plugin\Magento\Framework\Api;

use Magento\Framework\Api\ExtensionAttributesFactory;

class ExtensionAttributesFactoryPlugin
{
    /**
     * Correctly return extensible interface name in which the method is actually declared
     *
     * @param ExtensionAttributesFactory $subject
     * @param mixed $result
     *
     * @return string
     */
    public function afterGetExtensibleInterfaceName(ExtensionAttributesFactory $subject, $result)
    {
        $interfaceName = new \ReflectionClass($result);
        $methodName = 'getExtensionAttributes';

        if ($interfaceName->hasMethod($methodName)) {
            return $interfaceName->getMethod($methodName)
                ->class;
        }

        return $result;
    }
}
