<?php

namespace SyncSpider\APIextension\Plugin\Magento\Framework\EntityManager;

use Magento\Framework\EntityManager\TypeResolver;

class TypeResolverPlugin
{
    /**
     * Correctly support type resolving for "Interceptor" classes
     *
     * Remove the "\Interceptor" from resolved class to fix an possible issue
     * with bundle products when an plugin has been added to "Magento\Bundle\Model\Selection"
     * class which would cause an issue saving bundled products to an error
     * "main.CRITICAL: Exception: Unknown entity type: Magento\Bundle\Model\Selection\Interceptor
     * requested in vendor/magento/framework/EntityManager/MetadataPool.php:98"
     *
     * @param TypeResolver $subject
     * @param string $result
     *
     * @return string
     */
    public function afterResolve(TypeResolver $subject, $result)
    {
        $suffix = '\Interceptor';

        if (substr_compare($result, $suffix, - strlen($suffix)) === 0) {
            $result = substr($result, 0, - strlen($suffix));
        }

        return $result;
    }
}