<?php

namespace SyncSpider\APIextension\Plugin\Magento\Framework\Webapi;

use Magento\Framework\Webapi\ServiceInputProcessor;
use SyncSpider\APIextension\Api\WebapiServiceInputInterface;

class ServiceInputProcessorPlugin
{
    /**
     * @var WebapiServiceInputInterface
     */
    private $webapiServiceInput;

    /**
     * ServiceInputProcessorPlugin constructor.
     *
     * @param WebapiServiceInputInterface $webapiServiceInput
     */
    public function __construct(WebapiServiceInputInterface $webapiServiceInput)
    {
        $this->webapiServiceInput = $webapiServiceInput;
    }

    /**
     * Add webapi service input value for converted value
     *
     * @param ServiceInputProcessor $subject
     * @param mixed $result
     * @param mixed $data
     * @param string $type
     *
     * @return mixed
     */
    public function afterConvertValue(ServiceInputProcessor $subject, $result, $data, $type)
    {
        $this->webapiServiceInput->add($data, $result);
        return $result;
    }
}
