<?php

namespace SyncSpider\APIextension\Plugin\Magento\Framework\Webapi;

use Magento\Framework\Webapi\ServiceOutputProcessor;
use SyncSpider\APIextension\Api\WebapiServiceInputInterface;

class ServiceOutputProcessorPlugin
{
    /**
     * @var WebapiServiceInputInterface
     */
    private $webapiServiceInput;

    /**
     * ServiceInputProcessorPlugin constructor.
     *
     * @param WebapiServiceInputInterface $webapiServiceInput
     */
    public function __construct(WebapiServiceInputInterface $webapiServiceInput)
    {
        $this->webapiServiceInput = $webapiServiceInput;
    }

    /**
     * Remove webapi service input value for converted value
     *
     * @param ServiceOutputProcessor $subject
     * @param mixed $result
     * @param mixed $data
     * @param string $type
     *
     * @return mixed
     */
    public function afterConvertValue(ServiceOutputProcessor $subject, $result, $data, $type)
    {
        $result = $this->webapiServiceInput->remove($result);
        return $result;
    }
}
