<?php

namespace SyncSpider\APIextension\Plugin\Magento\Sales\Api\Data;

use Magento\Sales\Api\Data\OrderPaymentInterface;
use SyncSpider\APIextension\Api\{
    Data\OrderPaymentOptionInterface,
    PaymentInterface,
    WebapiServiceInputInterface
};

class OrderPaymentPlugin
{
    /**
     * Remove syncspider payment "additional_information" from additional information array
     *
     * @param OrderPaymentInterface $subject
     * @param string[] $result
     *
     * @return string[]
     */
    public function afterGetAdditionalInformation(OrderPaymentInterface $subject, $result)
    {
        // Process "additional_information" only for syncspider generic payment method
        if ($subject->getMethod() === PaymentInterface::CODE
            && is_array($result)
        ) {
            if (isset($result[OrderPaymentOptionInterface::ATTRIBUTE_CODE])) {
                $informationKeys = $result[OrderPaymentOptionInterface::ATTRIBUTE_CODE];

                if (is_array($informationKeys)) {
                    foreach ($informationKeys as $informationKey) {
                        unset($result[$informationKey]);
                    }
                }
            }

            unset($result[OrderPaymentOptionInterface::ATTRIBUTE_CODE]);
        }

        if (is_array($result)) {
            unset($result[WebapiServiceInputInterface::DATA_KEY]);
        }

        return $result;
    }
}
