<?php

namespace SyncSpider\APIextension\Plugin\Magento\Sales\Model\ResourceModel;

use Magento\Sales\Model\Order;
use Magento\Sales\Model\ResourceModel\Order as OrderResourceModel;

class OrderPlugin
{
    /**
     * Assign order shipping address on magento versions where it is necessary
     *
     * @param OrderResourceModel $subject
     * @param object $entity
     *
     * @return void
     */
    public function beforeSave(OrderResourceModel $subject, $entity)
    {
        if ($entity instanceof Order) {
            $extensionAttributes = $entity->getExtensionAttributes();

            if (! $entity->getIsVirtual()
                && $extensionAttributes
                && $extensionAttributes->getShippingAssignments()
                && ! $entity->getShippingAddress()
            ) {
                $shippingAssignments = $extensionAttributes->getShippingAssignments();

                if (! empty($shippingAssignments)) {
                    $shipping = array_shift($shippingAssignments)->getShipping();
                    $entity->setShippingAddress($shipping->getAddress());
                    $entity->setShippingMethod($shipping->getMethod());
                }
            }
        }
    }
}
