<?php

namespace SyncSpider\APIextension\Plugin\Model;

use Magento\Swatches\Helper\Data;
use Magento\Swatches\Model\SwatchAttributesProvider;

/**
 * Plugin that contains fix for https://github.com/magento/magento2/pull/12237
 */
class SwatchAttributesProviderPlugin
{
    /**
     * @var Data
     */
    protected $swatchHelper;

    /**
     * SwatchAttributesProviderPlugin constructor
     *
     * @param Data $swatchHelper
     */
    public function __construct(Data $swatchHelper)
    {
        $this->swatchHelper = $swatchHelper;
    }

    /**
     * Correctly return list of product swatch attributes
     *
     * @param SwatchAttributesProvider $data
     * @param array $result
     *
     * @return array
     */
    public function afterProvide(SwatchAttributesProvider $data, $result)
    {
        $swatchAttributes = [];

        foreach ($result as $key => $attribute) {
            // Check if attribute is actually swatch attribute
            if ($this->swatchHelper->isSwatchAttribute($attribute)) {
                $swatchAttributes[$key] = $attribute;
            }
        }

        return $swatchAttributes;
    }
}
