<?php

namespace SyncSpider\APIextension\Setup\Patch;

use Magento\Framework\Setup\Patch\PatchReader;
use SyncSpider\APIextension\Setup\Patch\ApplyPatchesBeforeDeclarativeSchemaInterface;

class ApplyPatchesBeforeDeclarativeSchemaPatchReader extends PatchReader
{
    /**
     * Read patches which should be executed before declarative schema
     *
     * {@inheritDoc}
     */
    public function read($moduleName)
    {
        $patches = parent::read($moduleName);
        $patches = array_filter($patches, function ($patch) {
            return is_a($patch, ApplyPatchesBeforeDeclarativeSchemaInterface::class, true);
        });
        return $patches;
    }
}