<?php

namespace SyncSpider\APIextension\Setup\Patch\Data;

use Magento\Framework\Setup\ModuleDataSetupInterface;
use Magento\Framework\Setup\Patch\DataPatchInterface;
use SyncSpider\APIextension\Setup\Patch\ApplyPatchesBeforeDeclarativeSchemaInterface;

class RemoveDuplicateSyncspiderImageRows implements
    DataPatchInterface,
    ApplyPatchesBeforeDeclarativeSchemaInterface
{
    /**
     * @var ModuleDataSetupInterface
     */
    private $moduleDataSetup;

    public function __construct(ModuleDataSetupInterface $moduleDataSetup)
    {
        $this->moduleDataSetup = $moduleDataSetup;
    }

    /**
     * @inheritDoc
     */
    public function apply()
    {
        $this->moduleDataSetup->getConnection()->startSetup();
        $connection = $this->moduleDataSetup->getConnection();
        $select = $connection->select()
            ->from(['ai' => $this->moduleDataSetup->getTable('apiextension_images')])
            ->joinLeft(
                ['ai2' => $this->moduleDataSetup->getTable('apiextension_images')],
                'ai2.image_id  = ai.image_id AND ai2.id > ai.id'
            );
        $deleteQuery = $connection->deleteFromSelect($select, 'ai2');
        $connection->query($deleteQuery);
        $this->moduleDataSetup->getConnection()->endSetup();
    }

    /**
     * @inheritDoc
     */
    public function getAliases()
    {
        return [];
    }

    /**
     * @inheritDoc
     */
    public static function getDependencies()
    {
        return [];
    }
}