<?php

namespace SyncSpider\APIextension\Setup\Patch\Schema;

use Magento\Framework\Setup\SchemaSetupInterface;
use Magento\Framework\Setup\Patch\SchemaPatchInterface;
use Magento\Framework\DB\Adapter\AdapterInterface;
use SyncSpider\APIextension\Setup\Patch\Data\RemoveDuplicateSyncspiderImageRows;

class AddUniqueIndexToSyncspiderImages implements SchemaPatchInterface
{
    /**
     * @var SchemaSetupInterface
     */
    private $schemaSetup;

    public function __construct(SchemaSetupInterface $schemaSetup)
    {
        $this->schemaSetup = $schemaSetup;
    }

    /**
     * @inheritDoc
     */
    public function apply()
    {
        $this->schemaSetup->getConnection()->addIndex(
            $this->schemaSetup->getTable('apiextension_images'),
            'APIEXTENSION_IMAGES_IMAGE_ID',
            ['image_id'],
            AdapterInterface::INDEX_TYPE_UNIQUE
        );
    }

    /**
     * @inheritDoc
     */
    public function getAliases()
    {
        return [];
    }

    /**
     * @inheritDoc
     */
    public static function getDependencies()
    {
        return [
            RemoveDuplicateSyncspiderImageRows::class
        ];
    }
}