<?php

namespace SyncSpider\APIextension\Shipping\Carrier;

use SyncSpider\APIextension\Api\Data\OrderShippingInterface;

class TransferObject
{
    /**
     * @var bool
     */
    private $isUsed = false;

    /**
     * @var OrderShippingInterface
     */
    private $shipping;

    /**
     * Whether transfer object is being used
     *
     * @return bool
     */
    public function isUsed()
    {
        return $this->isUsed;
    }

    /**
     * Set whether transfer object is being used
     *
     * @param bool $isUsed
     *
     * @return TransferObject
     */
    public function setIsUsed($isUsed)
    {
        $this->isUsed = (bool)$isUsed;
        return $this;
    }

    /**
     * Get order shipping
     *
     * @return OrderShippingInterface
     */
    public function getShipping()
    {
        return $this->shipping;
    }

    /**
     * Set order shipping
     *
     * @param OrderShippingInterface $shipping
     */
    public function setShipping($shipping)
    {
        $this->shipping = $shipping;
    }
}
